<template>
  <Dialog :title="dialogTitle" v-model="dialogVisible" width="80%" class="shopsettlement-dialog">
    <shopsettlement :id="row.id" :status="row.status" :merchantId="merchantId" />
  </Dialog>
</template>
<script setup lang="ts">
import { PtSettlementApi, PtSettlementVO } from '@/api/system/distri/ptsettlement'
import shopsettlement from '@/views/system/distri/shopsettlement/index.vue'

/** 平台每日结算信息表，记录店铺的结算信息 表单 */
defineOptions({ name: 'PtSettlementForm' })

const { t } = useI18n() // 国际化
const message = useMessage() // 消息弹窗

const dialogVisible = ref(false) // 弹窗的是否展示
const dialogTitle = ref('明细项') // 弹窗的标题
const row = ref();
const merchantId = ref(0);
/** 打开弹窗 */
const open = async (event,id) => {
  // console.log(id)
  dialogVisible.value = true;
  row.value = event;
  merchantId.value = id;
  // console.log(row.value)
}
defineExpose({ open }) // 提供 open 方法，用于打开弹窗

/** 提交表单 */
const emit = defineEmits(['success']) // 定义 success 事件，用于操作成功后的回调

</script>
